cURL
curl --request POST \
--url https://api.hubapi.com/settings/users/2026-03 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"sendWelcomeEmail": true,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/settings/users/2026-03"
payload = {
"email": "<string>",
"sendWelcomeEmail": True,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
sendWelcomeEmail: true,
firstName: '<string>',
lastName: '<string>',
primaryTeamId: '<string>',
roleId: '<string>',
secondaryTeamIds: ['<string>']
})
};
fetch('https://api.hubapi.com/settings/users/2026-03', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/settings/users/2026-03",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '<string>',
'sendWelcomeEmail' => true,
'firstName' => '<string>',
'lastName' => '<string>',
'primaryTeamId' => '<string>',
'roleId' => '<string>',
'secondaryTeamIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/settings/users/2026-03"
payload := strings.NewReader("{\n \"email\": \"<string>\",\n \"sendWelcomeEmail\": true,\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"primaryTeamId\": \"<string>\",\n \"roleId\": \"<string>\",\n \"secondaryTeamIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/settings/users/2026-03")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"<string>\",\n \"sendWelcomeEmail\": true,\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"primaryTeamId\": \"<string>\",\n \"roleId\": \"<string>\",\n \"secondaryTeamIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/settings/users/2026-03")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"<string>\",\n \"sendWelcomeEmail\": true,\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"primaryTeamId\": \"<string>\",\n \"roleId\": \"<string>\",\n \"secondaryTeamIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"email": "<string>",
"id": "<string>",
"roleIds": [
"<string>"
],
"superAdmin": true,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"seatNames": [
"<string>"
],
"secondaryTeamIds": [
"<string>"
],
"sendWelcomeEmail": true
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Utilisateurs
Create a user
POST
/
settings
/
users
/
2026-03
cURL
curl --request POST \
--url https://api.hubapi.com/settings/users/2026-03 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"sendWelcomeEmail": true,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/settings/users/2026-03"
payload = {
"email": "<string>",
"sendWelcomeEmail": True,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"secondaryTeamIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
sendWelcomeEmail: true,
firstName: '<string>',
lastName: '<string>',
primaryTeamId: '<string>',
roleId: '<string>',
secondaryTeamIds: ['<string>']
})
};
fetch('https://api.hubapi.com/settings/users/2026-03', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/settings/users/2026-03",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '<string>',
'sendWelcomeEmail' => true,
'firstName' => '<string>',
'lastName' => '<string>',
'primaryTeamId' => '<string>',
'roleId' => '<string>',
'secondaryTeamIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/settings/users/2026-03"
payload := strings.NewReader("{\n \"email\": \"<string>\",\n \"sendWelcomeEmail\": true,\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"primaryTeamId\": \"<string>\",\n \"roleId\": \"<string>\",\n \"secondaryTeamIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/settings/users/2026-03")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"<string>\",\n \"sendWelcomeEmail\": true,\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"primaryTeamId\": \"<string>\",\n \"roleId\": \"<string>\",\n \"secondaryTeamIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/settings/users/2026-03")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"<string>\",\n \"sendWelcomeEmail\": true,\n \"firstName\": \"<string>\",\n \"lastName\": \"<string>\",\n \"primaryTeamId\": \"<string>\",\n \"roleId\": \"<string>\",\n \"secondaryTeamIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"email": "<string>",
"id": "<string>",
"roleIds": [
"<string>"
],
"superAdmin": true,
"firstName": "<string>",
"lastName": "<string>",
"primaryTeamId": "<string>",
"roleId": "<string>",
"seatNames": [
"<string>"
],
"secondaryTeamIds": [
"<string>"
],
"sendWelcomeEmail": true
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Corps
application/json
Réponse
successful operation
L'e-mail de l'utilisateur.
L'identifiant unique de l'utilisateur.
Une liste des ID de rôle attribués à l'utilisateur.
Si l'utilisateur dispose des privilèges de super administrateur.
Le prénom de l'utilisateur.
Le nom de famille de l'utilisateur.
L'équipe principale de l'utilisateur
Le rôle de l'utilisateur.
Les équipes supplémentaires de l'utilisateur.
Si un e-mail de bienvenue a été envoyé à l'utilisateur. Cette valeur ne sera renseignée qu'en réponse à une demande de provisioning. Les requêtes suivantes renverront la valeur « faux ».
Dernière modification le 6 octobre 2026